Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class ConsumerAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.ConsumerAttributes

    public class ConsumerAttributes

extends java.lang.Object

Class containing information on consumer attributes.

Field Summary
`static java.lang.String` `NUM_CONSUMERS` Number of consumers.
`static java.lang.String` `NUM_WILDCARD_CONSUMERS` Number of wildcard consumers.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NUM_CONSUMERS

    public static final java.lang.String NUM_CONSUMERS

  Number of consumers.

  See Also:
    Constant Field Values

### NUM_WILDCARD_CONSUMERS

    public static final java.lang.String NUM_WILDCARD_CONSUMERS

  Number of wildcard consumers.

  See Also:
    Constant Field Values

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.